Package ru.bitel.bgbilling.modules.bill.common.bean

# Class AbstractBillDocument

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.bill.common.bean.AbstractBillDocument

All Implemented Interfaces:
  `Serializable`, `Idable`

Direct Known Subclasses:
  `BillDocument`, `InvoiceDocument`

public class AbstractBillDocument extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBillDocument()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `int`
  `getCorrection()`
  `Date`
  `getDateCreated()`
  `Document`
  `getDocument()`
  `byte[]`
  `getDocumentData()`
  `int`
  `getDocumentSpecId()`
  `String`
  `getDocumentSpecTitle()`
  `int`
  `getMonth()`
  `int`
  `getNumber()`
  `String`
  `getNumberFormatted()`
  `int`
  `getNumberInMonth()`
  `int`
  `getNumberInYear()`
  `int`
  `getNumerationPoolId()`
  `List<DocumentPosition>`
  `getPositionList()`
  `String`
  `getRecipient()`
  `BigDecimal`
  `getTotal()`
  `int`
  `getUserId()`
  `int`
  `getYear()`
  `void`
  `setAddress(String address)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setCorrection(int correction)`
  `void`
  `setDateCreated(Date dateCreated)`
  `void`
  `setDocument(Document document)`
  `void`
  `setDocumentData(byte[] documentData)`
  `void`
  `setDocumentSpecId(int typeId)`
  `void`
  `setDocumentSpecTitle(String typeTitle)`
  `void`
  `setMonth(int month)`
  `void`
  `setNumber(int number)`
  `void`
  `setNumberFormatted(String formattedNumber)`
  `void`
  `setNumberInMonth(int numberInMonth)`
  `void`
  `setNumberInYear(int numberInYear)`
  `void`
  `setNumerationPoolId(int numerationPoolId)`
  `void`
  `setPositionList(List<DocumentPosition> positionList)`
  `void`
  `setRecipient(String recipient)`
  `void`
  `setTotal(BigDecimal total)`
  `void`
  `setUserId(int userId)`
  `void`
  `setYear(int year)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractBillDocument

    public AbstractBillDocument()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getNumber

    public int getNumber()

  - ### setNumber

    public void setNumber(int number)

  - ### getNumberInMonth

    public int getNumberInMonth()

  - ### setNumberInMonth

    public void setNumberInMonth(int numberInMonth)

  - ### getNumberInYear

    public int getNumberInYear()

  - ### setNumberInYear

    public void setNumberInYear(int numberInYear)

  - ### getNumberFormatted

    public String getNumberFormatted()

  - ### setNumberFormatted

    public void setNumberFormatted(String formattedNumber)

  - ### getYear

    public int getYear()

  - ### setYear

    public void setYear(int year)

  - ### getMonth

    public int getMonth()

  - ### setMonth

    public void setMonth(int month)

  - ### getDateCreated

    public Date getDateCreated()

  - ### setDateCreated

    public void setDateCreated(Date dateCreated)

  - ### getDocumentSpecId

    public int getDocumentSpecId()

  - ### setDocumentSpecId

    public void setDocumentSpecId(int typeId)

  - ### getDocumentSpecTitle

    public String getDocumentSpecTitle()

  - ### setDocumentSpecTitle

    public void setDocumentSpecTitle(String typeTitle)

  - ### getTotal

    public BigDecimal getTotal()

  - ### setTotal

    public void setTotal(BigDecimal total)

  - ### getDocument

    public Document getDocument()

  - ### setDocument

    public void setDocument(Document document)

  - ### getDocumentData

    public byte[] getDocumentData()

  - ### setDocumentData

    public void setDocumentData(byte[] documentData)

  - ### getAddress

    public String getAddress()

  - ### setAddress

    public void setAddress(String address)

  - ### getRecipient

    public String getRecipient()

  - ### setRecipient

    public void setRecipient(String recipient)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getNumerationPoolId

    public int getNumerationPoolId()

  - ### setNumerationPoolId

    public void setNumerationPoolId(int numerationPoolId)

  - ### getCorrection

    public int getCorrection()

  - ### setCorrection

    public void setCorrection(int correction)

  - ### getPositionList

    public List<DocumentPosition> getPositionList()

  - ### setPositionList

    public void setPositionList(List<DocumentPosition> positionList)